Highlighted

Nokia Lumia 928 (with the Denim WP 8.1 update) compatible with PTT Plus?

Member

Why does My Verizon say my Nokia Lumia 928 (with the Denim WP 8.1 update) is compatible with PTT Plus when it emails the link to download it it says it's for android??? Can someone clarify?

>> Subject edited for brevity <<

Message was edited by: Verizon Moderator

Labels (1)
0 Likes